[arch-commits] Commit in gnomeicu/trunk (PKGBUILD gnomeicu.install)

Jan de Groot jgc at archlinux.org
Thu May 28 19:00:49 EDT 2009


    Date: Thursday, May 28, 2009 @ 19:00:48
  Author: jgc
Revision: 40231

upgpkg: gnomeicu 0.99.14-1
    Update to current package standards

Modified:
  gnomeicu/trunk/PKGBUILD
  gnomeicu/trunk/gnomeicu.install

------------------+
 PKGBUILD         |   29 +++++++++++++----------------
 gnomeicu.install |   23 ++---------------------
 2 files changed, 15 insertions(+), 37 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-28 22:51:55 UTC (rev 40230)
+++ PKGBUILD	2009-05-28 23:00:48 UTC (rev 40231)
@@ -2,30 +2,27 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnomeicu
-pkgver=0.99.12
-pkgrel=3
+pkgver=0.99.14
+pkgrel=1
 pkgdesc="A GNOME2 ICQ client."
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgnomeui>=2.18.1-2' 'libxss' 'scrollkeeper')
-makedepends=('pkgconfig')
+depends=('libgnomeui>=2.14.1' 'libxss')
+makedepends=('pkgconfig' 'gnome-doc-utils')
 url="http://gnomeicu.sourceforge.net/"
+options=(!emptydirs)
 install=gnomeicu.install
-source=(http://dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('91d534e19a9f9e408f1f97b3b0748d20')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('f5afc147590543f607a6b4efa0c69052')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  if [ -f omf.make ]; then
-    find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var
+              --localstatedir=/var || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas --domain gnomeicu ${pkgdir}/etc/gconf/schemas/*.schemas
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Modified: gnomeicu.install
===================================================================
--- gnomeicu.install	2009-05-28 22:51:55 UTC (rev 40230)
+++ gnomeicu.install	2009-05-28 23:00:48 UTC (rev 40231)
@@ -1,9 +1,7 @@
 pkgname=gnomeicu
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
-  scrollkeeper-update -q -p var/lib/scrollkeeper
+  usr/sbin/gconfpkg --install ${pkgname}
 }
 
 pre_upgrade() {
@@ -15,22 +13,5 @@
 }
 
 pre_remove() {
-  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
-  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
-  else
-    schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
-  fi
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  
-  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/sbin/gconfpkg --uninstall ${pkgname}
 }
-
-post_remove() {
-  scrollkeeper-update -q -p var/lib/scrollkeeper
-}
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list